@import url('https://fonts.googleapis.com/css?family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css?family=Baloo+Tamma+2&display=swap');

body {
    min-height: 100vh;
    background-color: #FFFFF0;
}

.wrapper {
    max-width: 1440px;
    width: 100%;
    height: 100vh;
    margin: 0 auto;
}

.header-wrapper {
    max-width: 1440px;
    margin: 0 auto;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
    padding-right: 20px;
    padding-left: 20px;
}

h1 {
    position: absolute;
    right: 200px;
    font-family: 'Press Start 2P', cursive;
}

.button-burger-wrapper {
    width: 50px;
    height: 50px;
}

.button-burger {
    width: 100%;
    height: 100%;
    background: none;
    border: none;
    outline: none;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    padding: 0;
    cursor: pointer;
    z-index: 2;
}

.line {
    position: absolute;
    display: block;
    width: 100%;
    height: 3px;
    background-color: black;
}

.line-1 {
    top: 20px
}

.line-2 {
    top: 40px
}

.ch {
    width: 100%;
}

.navigation {
    position: absolute;
    left: 5%;
    z-index: 5;
    top: 10px;
}

.menu {
    height: 100vh;
    width: 375px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    position: fixed;
    padding-top: 100px;
    left: -500px;
    transition: 1s;
    background-color: #1E90FF;
    z-index: 1;
    margin: -60px 0 0;
}

.menu-link {
    width: 100%;
    line-height: 50px;
    text-decoration: none;
    font-size: 18px;
    font-family: 'Baloo Tamma 2', cursive;
    color: black;
    text-align: center;
    font-weight: 600;
    text-align: left;
    padding-left: 100px;
    color: white;
    border: 0;
    background-color: #1E90FF;
}

.menu-link:hover {
    transition: .2s;
    background-color: blue;
}

.line-0--active {
    transform: rotate(45deg);
    top: 20px;
    transition: .2s;
}

.line-2--active {
    transform: rotate(-45deg);
    top: 20px;
    transition: .2s;
}

.menu--active {
    left: -75px;
    transition: .6s;
    z-index: 1;
}

.hidden {
    display: none;
}

.active {
    background-color: blue;
}

.header-play {
    background-color: #FF0000;
}

.header-play .menu-link:hover {
    background-color: coral;
}

.header-play .active {
    background-color: coral;
}
@media (min-width: 1440px) {
    .navigation {
        position: fixed;
        left: 10%;
    }

    .menu {
        width: 25vw;
        left: -25vw;
    }

    .menu--active {
        left: 0;
    }

    .menu-link {
        padding-left: 45%;
    }
}

@media (max-width: 570px) {
    .header-wrapper {
        height: 50px;
    }
    .button-burger-wrapper {
        width: 50px;
        height: 50px;
    }

    .title {
        right: 150px;
    }
}

@media(max-width: 768px) {
    .menu {
        font-size: 15px;
        width: 340px;
    }
}

@media(max-width: 400px) {
    .title {
        right: 100px;
    }
    .menu {
        width: 300px;
    }
}

@media(max-width: 375px) {
    .title {
        display: none;
    }
}

@media(max-width: 321px) {
    .header-wrapper {
        padding: 0px;
    }
}
